<div class="ion-page" id="main-content">
  <ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-back-button defaultHref="home"></ion-back-button>
      </ion-buttons>
      <ion-title>Description</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content class="ion-padding">
    <ion-card>
      <ion-img class="livrecov" *ngIf="produit?.image !=null && produit?.image2 == null" src="{{produit?.image}}"></ion-img>
      <ion-img class="livrecov" *ngIf="produit?.image2 !=null && produit?.image != null" src="{{'assets/images/' + produit?.image2 + '.png'}}" ></ion-img>
      <ion-card-header>
        <ion-chip *ngIf="produit?.present === 'false'">
          <ion-label color="danger">En Prêt</ion-label>
          <ion-icon name="arrow-forward-outline"></ion-icon>
          <ion-label class="emprunteur">&nbsp;{{emprunteur?.prenom}} {{emprunteur?.nom}}, &nbsp;<span style="font-style: italic; color: #154360;font-size:11px;">depuis le {{datemprunt | date: 'dd-MMM-yy'}}</span> </ion-label>
        </ion-chip>
        <ion-chip *ngIf="produit?.present === 'true'">
          <ion-label color="success">Disponible</ion-label>
        </ion-chip>
        <ion-card-title>{{produit?.titre}}</ion-card-title>
      </ion-card-header>
      <ion-card-content> 
        <h2 class="auteur">{{produit?.auteur}}</h2><br>
        <h3 class="type">{{produit?.type}}</h3>
        <p class="date">{{produit?.date | date: 'dd-MMM-yy'}}</p>
        <h4 class="ean">{{produit?.ean}}</h4>
       
       <p class="description">{{produit?.description}}</p> 
      </ion-card-content>
    </ion-card>
    <ion-button expand="block" [routerLink]="['commentaire']" class="ion-no-margin"><ion-icon name="arrow-forward-outline"></ion-icon>&nbsp;Commenter</ion-button><br><br>

    <ion-row *ngFor="let commentaire of listeCommentaire"  >
      <ion-col>
       <div class="notetoile" *ngIf="commentaire.note === 5"> <ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon></div>
       <div class="notetoile" *ngIf="commentaire.note === 4"> <ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon></div>
       <div class="notetoile" *ngIf="commentaire.note === 3"> <ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon></div>
       <div class="notetoile" *ngIf="commentaire.note === 2"> <ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon></div>
       <div class="notetoile" *ngIf="commentaire.note === 1"> <ion-icon class="star" name="star"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon><ion-icon class="star" name="star-outline"></ion-icon></div>
      </ion-col>
      <ion-col>
        <div class="commentaire">"{{commentaire.commentaire}}" - <span class="auteurcommentaire">{{proprietaire?.prenom}}</span></div>
      </ion-col>
      <ion-col>
        <div class="datenote">{{commentaire.date | date: 'dd-MMM-yy'}}</div>
      </ion-col>
    </ion-row>
    
  </ion-content>
</div>